using System;

namespace XYY.Common.Standard
{
    [AttributeUsage(AttributeTargets.Property, Inherited = true, AllowMultiple = true)]
    public class TrackAttribute : Attribute
    {
        public TrackAttribute(string description)
        {
            Description = description;
        }
        public string Description { get; set; }
    }

    [AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = true)]
    public class TrackTableAttribute : Attribute
    {
        public TrackTableAttribute(Type table)
        {
            Table = table;
        }

        public Type Table { get; set; }
    }
}
